Package org.apache.lucene.facet

# Class TopOrdAndIntQueue.OrdAndInt

java.lang.Object
org.apache.lucene.facet.TopOrdAndNumberQueue.OrdAndValue
org.apache.lucene.facet.TopOrdAndIntQueue.OrdAndInt

Enclosing class:
  `TopOrdAndIntQueue`

public static final class TopOrdAndIntQueue.OrdAndInt extends TopOrdAndNumberQueue.OrdAndValue
Holds an ordinal and an int value.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `value`
  The value corresponding to the ordinal is an int.

  ### Fields inherited from class org.apache.lucene.facet.TopOrdAndNumberQueue.OrdAndValue

  `ord`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrdAndInt()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Number`
  `getValue()`
  Get the value stored in this `TopOrdAndNumberQueue.OrdAndValue`.
  `boolean`
  `lessThan(TopOrdAndNumberQueue.OrdAndValue other)`
  Compare with another `TopOrdAndNumberQueue.OrdAndValue`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    public int value
    The value corresponding to the ordinal is an int.

- ## Constructor Details

  - ### OrdAndInt

    public OrdAndInt()
    Default constructor.

- ## Method Details

  - ### lessThan

    public boolean lessThan(TopOrdAndNumberQueue.OrdAndValue other)
    Description copied from class: `TopOrdAndNumberQueue.OrdAndValue`
    Compare with another `TopOrdAndNumberQueue.OrdAndValue`.
    Specified by:
      `lessThan` in class `TopOrdAndNumberQueue.OrdAndValue`

  - ### getValue

    public Number getValue()
    Description copied from class: `TopOrdAndNumberQueue.OrdAndValue`
    Get the value stored in this `TopOrdAndNumberQueue.OrdAndValue`.
    Specified by:
      `getValue` in class `TopOrdAndNumberQueue.OrdAndValue`